关闭的不一样------li---
关闭的不一样------ol---
前提条件 - PHP参考手册

前提条件

以下列表是编写一个PDO数据库驱动所需的前提条件:

  1. 运行的目标数据库,实例,演示,等等。都是按照它们各自供应商的详细说明进行工作;
  2. 开发环境: linux: 标准开发工具, gcc, ld, make, autoconf, automake, 等等, 版本依赖于发行版;
  3. other unix: 由供应商提供标准的开发工具,加上 gnu 开发工具箱;
  4. win32: visual studio编译器套件;
  • php 5.0.3版本或更高的版本运行环境和pear 1.3.5版本或更高的版本扩展;
  • pdo 运行环境(可以使用'sudo pecl 进行安装'),包含需要访问 pdo 类型定义和函数声明的头信息;
  • 良好的c编程语言知识;
  • 良好的php扩展编写知识; 推荐阅读 george schlossnagle 的 php 高级编程(21和22章由开发人员图书馆出版);
  • 最后,熟悉构成特别关注内存管理方面的 php 的核心的 zend api.